指定除角度之外的所有尺寸的备用单位的单位格式。 支持的平台:仅窗口 属性值只读:不 类型:枚举acDimUnits
言论此属性的初始值为。acDimDecimal 注意:此属性将覆盖给定维度的 DIMALTU 系统变量的值。
例子工 务 局: Sub Example_AltUnitsFormat() ' This example creates an aligned dimension in model space and ' uses AltUnitsFormat to cycle through some common unit formats ' for the alternate dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5.12345678: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Enable unit display of alternate units dimObj.AltUnits = True dimObj.AltUnitsFormat = acDimScientific ' Change format to Scientific ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Scientific" dimObj.AltUnitsFormat = acDimDecimal ' Change format to Decimal ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Decimal" dimObj.AltUnitsFormat = acDimArchitectural ' Change format to Architectural ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Architectural" dimObj.AltUnitsFormat = acDimWindowsDesktop ' Change format to Windows Desktop ThisDrawing.Regen acAllViewports MsgBox "The alternate dimension units are now set to Windows Desktop" End Sub Visual LISP: (vl-load-com) (defun c:Example_AltUnitsFormat() ;; This example creates an aligned dimension in model space and ;; uses AltUnitsFormat to cycle through some common unit formats ;; for the alternate dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 0 5 0) point2 (vlax-3d-point 5.12345678 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Enable unit display of alternate units (vla-put-AltUnits dimObj :vlax-true) (vla-put-AltUnitsFormat dimObj acDimScientific) ;; Change format to Scientific (vla-Regen doc acAllViewports) (alert "The alternate dimension units are now set to Scientific.") (vla-put-AltUnitsFormat dimObj acDimDecimal) ;; Change format to Decimal (vla-Regen doc acAllViewports) (alert "The alternate dimension units are now set to Decimal.") (vla-put-AltUnitsFormat dimObj acDimArchitectural) ;; Change format to Architectural (vla-Regen doc acAllViewports) (alert "The alternate dimension units are now set to Architectural.") (vla-put-AltUnitsFormat dimObj acDimWindowsDesktop) ;; Change format to Windows Desktop (vla-Regen doc acAllViewports) (alert "The alternate dimension units are now set to Windows Desktop.") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:27
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.